#!/usr/bin/perl
# localmta_valid.t: tests localmta_valid

# you can call this test like so:
#  perl localmta_valid.t <from> <to>

use strict;

use lib '../lib'; # relative to this file

use LocalMTA::Sendmail qw(localmta_valid localmta_sendmail);


my $opts = {};

$opts->{mta_path} = '/usr/sbin/sendmail';
$opts->{local_mail_flag} = '-bm';


# Set-up params for call to localmta_sendmail
my ( $to, $full_from, $from, $subject, $msg) = (
    $ARGV[0] || 'taj',
    'localmta_valid.t Test',
    $ARGV[1] || 'spirit@localhost',
    'This is an email from a test script',
    "This is the body of the test script. Please do not respond to this message. If you seed this message. Then the test was successful. This message will not self destruct. Thank you, and please have a nice day.\n"
    );

# Call the test function
if (localmta_sendmail( $opts, $to, $full_from, $from, $subject, $msg)) {
    print "# ok 1 -- localmta_valid\n";
}
else {
    print "# not ok 1 -- localmta_valid\n";
}



# EOF
